using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
    public interface IMediaFileStorage
    {
        List<MediaFileViewModel> GetFullList();
        List<MediaFileViewModel> GetFilteredList(MediaFileSearchModel model);
        MediaFileViewModel? GetElement(MediaFileSearchModel model);
        MediaFileViewModel? Insert(MediaFileBindingModel model);
        MediaFileViewModel? Update(MediaFileBindingModel model);
        MediaFileViewModel? Delete(MediaFileBindingModel model);
    }
}
